# Microsoft Developer Studio Generated NMAKE File, Format Version 4.20
# ** DO NOT EDIT **

# TARGTYPE "Win32 (x86) Console Application" 0x0103

!IF "$(CFG)" == ""
CFG=dnewsweb - Win32 Debug
!MESSAGE No configuration specified.  Defaulting to dnewsweb - Win32 Debug.
!ENDIF 

!IF "$(CFG)" != "dnewsweb - Win32 Release" && "$(CFG)" !=\
 "dnewsweb - Win32 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE on this makefile
!MESSAGE by defining the macro CFG on the command line.  For example:
!MESSAGE 
!MESSAGE NMAKE /f "dnewsweb.mak" CFG="dnewsweb - Win32 Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "dnewsweb - Win32 Release" (based on\
 "Win32 (x86) Console Application")
!MESSAGE "dnewsweb - Win32 Debug" (based on "Win32 (x86) Console Application")
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 
################################################################################
# Begin Project
# PROP Target_Last_Scanned "dnewsweb - Win32 Debug"
CPP=cl.exe
RSC=rc.exe

!IF  "$(CFG)" == "dnewsweb - Win32 Release"

# PROP BASE Use_MFC 0
# PROP BASE Use_Debug_Libraries 0
# PROP BASE Output_Dir "WinRel"
# PROP BASE Intermediate_Dir "WinRel"
# PROP Use_MFC 0
# PROP Use_Debug_Libraries 0
# PROP Output_Dir "WinRel"
# PROP Intermediate_Dir "WinRel"
OUTDIR=.\WinRel
INTDIR=.\WinRel

ALL : "$(OUTDIR)\dnewsweb.exe"

CLEAN : 
	-@erase "$(INTDIR)\chan_dmy.obj"
	-@erase "$(INTDIR)\conf_dmy.obj"
	-@erase "$(INTDIR)\decode.obj"
	-@erase "$(INTDIR)\dnewsdmy.obj"
	-@erase "$(INTDIR)\dnewsweb.obj"
	-@erase "$(INTDIR)\key.obj"
	-@erase "$(INTDIR)\lib.obj"
	-@erase "$(INTDIR)\memdebug.obj"
	-@erase "$(INTDIR)\mime64.obj"
	-@erase "$(INTDIR)\nntp.obj"
	-@erase "$(INTDIR)\parsedate.obj"
	-@erase "$(INTDIR)\sary.obj"
	-@erase "$(INTDIR)\web_mem.obj"
	-@erase "$(INTDIR)\web_str.obj"
	-@erase "$(INTDIR)\wild.obj"
	-@erase "$(OUTDIR)\dnewsweb.exe"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /FR /YX /c
# ADD CPP /nologo /W2 /GX /O2 /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "unix" /YX /c
# SUBTRACT CPP /Fr
CPP_PROJ=/nologo /ML /W2 /GX /O2 /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "unix"\
 /Fp"$(INTDIR)/dnewsweb.pch" /YX /Fo"$(INTDIR)/" /c 
CPP_OBJS=.\WinRel/
CPP_SBRS=.\.
# ADD BASE RSC /l 0x409 /d "NDEBUG"
# ADD RSC /l 0x409 /d "NDEBUG"
BSC32=bscmake.exe
# ADD BASE BSC32 /nologo
# ADD BSC32 /nologo
BSC32_FLAGS=/nologo /o"$(OUTDIR)/dnewsweb.bsc" 
BSC32_SBRS= \
	
LINK32=link.exe
# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
# ADD LINK32 wsock32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
LINK32_FLAGS=wsock32.lib kernel32.lib user32.lib gdi32.lib winspool.lib\
 comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib\
 odbc32.lib odbccp32.lib /nologo /subsystem:console /incremental:no\
 /pdb:"$(OUTDIR)/dnewsweb.pdb" /machine:I386 /out:"$(OUTDIR)/dnewsweb.exe" 
LINK32_OBJS= \
	"$(INTDIR)\chan_dmy.obj" \
	"$(INTDIR)\conf_dmy.obj" \
	"$(INTDIR)\decode.obj" \
	"$(INTDIR)\dnewsdmy.obj" \
	"$(INTDIR)\dnewsweb.obj" \
	"$(INTDIR)\key.obj" \
	"$(INTDIR)\lib.obj" \
	"$(INTDIR)\memdebug.obj" \
	"$(INTDIR)\mime64.obj" \
	"$(INTDIR)\nntp.obj" \
	"$(INTDIR)\parsedate.obj" \
	"$(INTDIR)\sary.obj" \
	"$(INTDIR)\web_mem.obj" \
	"$(INTDIR)\web_str.obj" \
	"$(INTDIR)\wild.obj"

"$(OUTDIR)\dnewsweb.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ELSEIF  "$(CFG)" == "dnewsweb - Win32 Debug"

# PROP BASE Use_MFC 0
# PROP BASE Use_Debug_Libraries 1
# PROP BASE Output_Dir "WinDebug"
# PROP BASE Intermediate_Dir "WinDebug"
# PROP Use_MFC 0
# PROP Use_Debug_Libraries 1
# PROP Output_Dir "WinDebug"
# PROP Intermediate_Dir "WinDebug"
OUTDIR=.\WinDebug
INTDIR=.\WinDebug

ALL : "$(OUTDIR)\dnewsweb.exe"

CLEAN : 
	-@erase "$(INTDIR)\chan_dmy.obj"
	-@erase "$(INTDIR)\conf_dmy.obj"
	-@erase "$(INTDIR)\decode.obj"
	-@erase "$(INTDIR)\dnewsdmy.obj"
	-@erase "$(INTDIR)\dnewsweb.obj"
	-@erase "$(INTDIR)\key.obj"
	-@erase "$(INTDIR)\lib.obj"
	-@erase "$(INTDIR)\memdebug.obj"
	-@erase "$(INTDIR)\mime64.obj"
	-@erase "$(INTDIR)\nntp.obj"
	-@erase "$(INTDIR)\parsedate.obj"
	-@erase "$(INTDIR)\sary.obj"
	-@erase "$(INTDIR)\vc40.idb"
	-@erase "$(INTDIR)\vc40.pdb"
	-@erase "$(INTDIR)\web_mem.obj"
	-@erase "$(INTDIR)\web_str.obj"
	-@erase "$(INTDIR)\wild.obj"
	-@erase "$(OUTDIR)\dnewsweb.exe"
	-@erase "$(OUTDIR)\dnewsweb.ilk"
	-@erase "$(OUTDIR)\dnewsweb.pdb"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

# ADD BASE CPP /nologo /W3 /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /FR /YX /c
# ADD CPP /nologo /W2 /Gm /GX /Zi /Od /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "unix" /YX /c
# SUBTRACT CPP /Fr
CPP_PROJ=/nologo /MLd /W2 /Gm /GX /Zi /Od /D "_DEBUG" /D "WIN32" /D "_CONSOLE"\
 /D "unix" /Fp"$(INTDIR)/dnewsweb.pch" /YX /Fo"$(INTDIR)/" /Fd"$(INTDIR)/" /c 
CPP_OBJS=.\WinDebug/
CPP_SBRS=.\.
# ADD BASE RSC /l 0x409 /d "_DEBUG"
# ADD RSC /l 0x409 /d "_DEBUG"
BSC32=bscmake.exe
# ADD BASE BSC32 /nologo
# ADD BSC32 /nologo
BSC32_FLAGS=/nologo /o"$(OUTDIR)/dnewsweb.bsc" 
BSC32_SBRS= \
	
LINK32=link.exe
# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386
# ADD LINK32 wsock32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /debugtype:both /machine:I386
LINK32_FLAGS=wsock32.lib kernel32.lib user32.lib gdi32.lib winspool.lib\
 comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib\
 odbc32.lib odbccp32.lib /nologo /subsystem:console /incremental:yes\
 /pdb:"$(OUTDIR)/dnewsweb.pdb" /debug /debugtype:both /machine:I386\
 /out:"$(OUTDIR)/dnewsweb.exe" 
LINK32_OBJS= \
	"$(INTDIR)\chan_dmy.obj" \
	"$(INTDIR)\conf_dmy.obj" \
	"$(INTDIR)\decode.obj" \
	"$(INTDIR)\dnewsdmy.obj" \
	"$(INTDIR)\dnewsweb.obj" \
	"$(INTDIR)\key.obj" \
	"$(INTDIR)\lib.obj" \
	"$(INTDIR)\memdebug.obj" \
	"$(INTDIR)\mime64.obj" \
	"$(INTDIR)\nntp.obj" \
	"$(INTDIR)\parsedate.obj" \
	"$(INTDIR)\sary.obj" \
	"$(INTDIR)\web_mem.obj" \
	"$(INTDIR)\web_str.obj" \
	"$(INTDIR)\wild.obj"

"$(OUTDIR)\dnewsweb.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ENDIF 

.c{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.cpp{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.cxx{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.c{$(CPP_SBRS)}.sbr:
   $(CPP) $(CPP_PROJ) $<  

.cpp{$(CPP_SBRS)}.sbr:
   $(CPP) $(CPP_PROJ) $<  

.cxx{$(CPP_SBRS)}.sbr:
   $(CPP) $(CPP_PROJ) $<  

################################################################################
# Begin Target

# Name "dnewsweb - Win32 Release"
# Name "dnewsweb - Win32 Debug"

!IF  "$(CFG)" == "dnewsweb - Win32 Release"

!ELSEIF  "$(CFG)" == "dnewsweb - Win32 Debug"

!ENDIF 

################################################################################
# Begin Source File

SOURCE=.\chan_dmy.c
DEP_CPP_CHAN_=\
	".\chan_dmy.h"\
	

"$(INTDIR)\chan_dmy.obj" : $(SOURCE) $(DEP_CPP_CHAN_) "$(INTDIR)"


# End Source File
################################################################################
# Begin Source File

SOURCE=.\parsedate.c
DEP_CPP_PARSE=\
	".\conf.h"\
	".\emsg.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\str.h"\
	".\utilities.h"\
	
NODEP_CPP_PARSE=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\parsedate.obj" : $(SOURCE) $(DEP_CPP_PARSE) "$(INTDIR)"


# End Source File
################################################################################
# Begin Source File

SOURCE=.\lib.c

!IF  "$(CFG)" == "dnewsweb - Win32 Release"

DEP_CPP_LIB_C=\
	".\chan.h"\
	".\conf.h"\
	".\dnews.h"\
	".\domain.h"\
	".\emsg.h"\
	".\group.h"\
	".\key.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\maxchan.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\nntp.h"\
	".\sary.h"\
	".\str.h"\
	".\utilities.h"\
	{$(INCLUDE)}"\sys\STAT.H"\
	{$(INCLUDE)}"\sys\TYPES.H"\
	
NODEP_CPP_LIB_C=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\lib.obj" : $(SOURCE) $(DEP_CPP_LIB_C) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "dnewsweb - Win32 Debug"

DEP_CPP_LIB_C=\
	".\chan.h"\
	".\conf.h"\
	".\dnews.h"\
	".\domain.h"\
	".\emsg.h"\
	".\group.h"\
	".\key.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\maxchan.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\nntp.h"\
	".\sary.h"\
	".\str.h"\
	".\utilities.h"\
	{$(INCLUDE)}"\sys\STAT.H"\
	{$(INCLUDE)}"\sys\TYPES.H"\
	
NODEP_CPP_LIB_C=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\lib.obj" : $(SOURCE) $(DEP_CPP_LIB_C) "$(INTDIR)"


!ENDIF 

# End Source File
################################################################################
# Begin Source File

SOURCE=.\wild.c

"$(INTDIR)\wild.obj" : $(SOURCE) "$(INTDIR)"


# End Source File
################################################################################
# Begin Source File

SOURCE=.\sary.c
DEP_CPP_SARY_=\
	".\conf.h"\
	".\emsg.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\sary.h"\
	".\str.h"\
	".\utilities.h"\
	
NODEP_CPP_SARY_=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\sary.obj" : $(SOURCE) $(DEP_CPP_SARY_) "$(INTDIR)"


# End Source File
################################################################################
# Begin Source File

SOURCE=.\nntp.c

!IF  "$(CFG)" == "dnewsweb - Win32 Release"

DEP_CPP_NNTP_=\
	".\chan.h"\
	".\chan_dmy.h"\
	".\conf.h"\
	".\dnews.h"\
	".\domain.h"\
	".\emsg.h"\
	".\fdset.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\macdns.h"\
	".\maxchan.h"\
	".\memdebug.h"\
	".\mutex.h"\
	".\myhostdb.h"\
	".\myraw.h"\
	".\nntp.h"\
	".\str.h"\
	".\thread.h"\
	".\utilities.h"\
	".\wsa.h"\
	{$(INCLUDE)}"\sys\TYPES.H"\
	
NODEP_CPP_NNTP_=\
	".\myunixlib.h"\
	".\nmmessage.h"\
	".\Profiler.h"\
	

"$(INTDIR)\nntp.obj" : $(SOURCE) $(DEP_CPP_NNTP_) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "dnewsweb - Win32 Debug"

DEP_CPP_NNTP_=\
	".\chan.h"\
	".\chan_dmy.h"\
	".\conf.h"\
	".\dnews.h"\
	".\domain.h"\
	".\emsg.h"\
	".\fdset.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\macdns.h"\
	".\maxchan.h"\
	".\memdebug.h"\
	".\mutex.h"\
	".\myhostdb.h"\
	".\myraw.h"\
	".\nntp.h"\
	".\str.h"\
	".\thread.h"\
	".\utilities.h"\
	".\wsa.h"\
	{$(INCLUDE)}"\sys\TYPES.H"\
	
NODEP_CPP_NNTP_=\
	".\myunixlib.h"\
	".\nmmessage.h"\
	".\Profiler.h"\
	

"$(INTDIR)\nntp.obj" : $(SOURCE) $(DEP_CPP_NNTP_) "$(INTDIR)"


!ENDIF 

# End Source File
################################################################################
# Begin Source File

SOURCE=.\memdebug.c

!IF  "$(CFG)" == "dnewsweb - Win32 Release"

DEP_CPP_MEMDE=\
	".\conf.h"\
	".\dnews.h"\
	".\emsg.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\str.h"\
	".\utilities.h"\
	
NODEP_CPP_MEMDE=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\memdebug.obj" : $(SOURCE) $(DEP_CPP_MEMDE) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "dnewsweb - Win32 Debug"

DEP_CPP_MEMDE=\
	".\conf.h"\
	".\dnews.h"\
	".\emsg.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\str.h"\
	".\utilities.h"\
	
NODEP_CPP_MEMDE=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\memdebug.obj" : $(SOURCE) $(DEP_CPP_MEMDE) "$(INTDIR)"


!ENDIF 

# End Source File
################################################################################
# Begin Source File

SOURCE=.\key.c

"$(INTDIR)\key.obj" : $(SOURCE) "$(INTDIR)"


# End Source File
################################################################################
# Begin Source File

SOURCE=.\conf_dmy.c

!IF  "$(CFG)" == "dnewsweb - Win32 Release"

DEP_CPP_CONF_=\
	".\conf.h"\
	".\dnews.h"\
	".\emsg.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\nntp.h"\
	".\sary.h"\
	".\str.h"\
	".\utilities.h"\
	
NODEP_CPP_CONF_=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\conf_dmy.obj" : $(SOURCE) $(DEP_CPP_CONF_) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "dnewsweb - Win32 Debug"

DEP_CPP_CONF_=\
	".\conf.h"\
	".\dnews.h"\
	".\emsg.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\nntp.h"\
	".\sary.h"\
	".\str.h"\
	".\utilities.h"\
	
NODEP_CPP_CONF_=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\conf_dmy.obj" : $(SOURCE) $(DEP_CPP_CONF_) "$(INTDIR)"


!ENDIF 

# End Source File
################################################################################
# Begin Source File

SOURCE=.\dnewsweb.c

!IF  "$(CFG)" == "dnewsweb - Win32 Release"

DEP_CPP_DNEWS=\
	".\conf.h"\
	".\dnews.h"\
	".\emsg.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\nntp.h"\
	".\str.h"\
	".\utilities.h"\
	
NODEP_CPP_DNEWS=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\dnewsweb.obj" : $(SOURCE) $(DEP_CPP_DNEWS) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "dnewsweb - Win32 Debug"

DEP_CPP_DNEWS=\
	".\conf.h"\
	".\dnews.h"\
	".\emsg.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\nntp.h"\
	".\str.h"\
	".\utilities.h"\
	
NODEP_CPP_DNEWS=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\dnewsweb.obj" : $(SOURCE) $(DEP_CPP_DNEWS) "$(INTDIR)"


!ENDIF 

# End Source File
################################################################################
# Begin Source File

SOURCE=.\decode.c

"$(INTDIR)\decode.obj" : $(SOURCE) "$(INTDIR)"


# End Source File
################################################################################
# Begin Source File

SOURCE=.\dnewsdmy.c

"$(INTDIR)\dnewsdmy.obj" : $(SOURCE) "$(INTDIR)"


# End Source File
################################################################################
# Begin Source File

SOURCE=.\web_str.c
DEP_CPP_WEB_S=\
	".\conf.h"\
	".\emsg.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\mem.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\str.h"\
	".\utilities.h"\
	
NODEP_CPP_WEB_S=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\web_str.obj" : $(SOURCE) $(DEP_CPP_WEB_S) "$(INTDIR)"


# End Source File
################################################################################
# Begin Source File

SOURCE=.\web_mem.c
DEP_CPP_WEB_M=\
	".\conf.h"\
	".\emsg.h"\
	".\lib.h"\
	".\Mac.h"\
	".\macbf.h"\
	".\mem.h"\
	".\memdebug.h"\
	".\myraw.h"\
	".\str.h"\
	".\utilities.h"\
	
NODEP_CPP_WEB_M=\
	".\myunixlib.h"\
	".\Profiler.h"\
	

"$(INTDIR)\web_mem.obj" : $(SOURCE) $(DEP_CPP_WEB_M) "$(INTDIR)"


# End Source File
################################################################################
# Begin Source File

SOURCE=.\mime64.c

"$(INTDIR)\mime64.obj" : $(SOURCE) "$(INTDIR)"


# End Source File
# End Target
# End Project
################################################################################
